package com.qmth.sop.common.enums;

/**
 * @Description 预警字段
 * @Author haoguanghui
 * @date 2024/09/14
 */
public enum WarnFieldEnum {
    SCAN_START_TIME("scan_start_time", "扫描开始时间"),

    SCAN_END_TIME("scan_end_time", "扫描结束时间"),

    MARK_START_TIME("mark_start_time", "评卷开始时间"),

    MARK_END_TIME("mark_end_time", "评卷结束时间");

    private String title;

    private String desc;

    WarnFieldEnum(String title, String desc) {
        this.title = title;
        this.desc = desc;
    }

    public String getTitle() {
        return title;
    }

    public String getDesc() {
        return desc;
    }

    public static WarnFieldEnum findWarnFieldEnumByTitle(String title) {
        WarnFieldEnum[] values = WarnFieldEnum.values();
        for (WarnFieldEnum value : values) {
            if (value.getTitle().equals(title)) {
                return value;
            }
        }
        return null;
    }

}
